Bug 988105 - (check-mssql-health) Review Request: check-mssql-health - nagios check for mssql databases [NEEDINFO]
Review Request: check-mssql-health - nagios check for mssql databases
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On: perl-DBD-Sybase
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 14:17 EDT by Marcus Asshauer
Modified: 2013-11-21 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review?
fedora: needinfo? (fedora)


Attachments (Terms of Use)

  None (edit)
Description Marcus Asshauer 2013-07-24 14:17:52 EDT
Spec URL: http://mcas.fedorapeople.org/review/check-mssql-health.spec
SRPM URL: http://mcas.fedorapeople.org/review/check-mssql-health-1.5.19.1-1.fc19.src.rpm
Description: check-mssql-health is a plugin, which is used to monitor different parameters of a MS SQL server.
Fedora Account System Username: mcas
Comment 1 Björn "besser82" Esser 2013-07-24 14:19:56 EDT
I'll take this one.
Comment 2 Björn "besser82" Esser 2013-07-24 18:35:37 EDT
Package has some (patialy severe) issues. :(  See report below.  Since you are new to pkging rpms I suggest doing a step-by-step run here.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  ---> `Requires: perl-DBD-Sybase` would be correct, I suppose

- Package consistently uses macro is (instead of hard-coded directory names).
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

  ---> use one or the other, don't mix

- Since you want to package for el5, too, I assume, you should add the
  following stuff:

    * Group: (pick a suitable from /usr/share/doc/rpm-4.11.1/GROUPS)

    * %install
      %{?el5:rm -rf %{buildroot}}

    * %clean
      %{?el5:rm -rf %{buildroot}}


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.

     ---> see later explanation

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     ---> add COPYING to %doc

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/988105-check-mssql-
     health/licensecheck.txt

     ---> License-tag is fine

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.

     ---> as explained above

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.

     ---> package doesn't build binaries, so you should turn off debuginfo by
          adding `%global debug_package %{nil}` at the top of the spec-file

[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.

     ---> see explanation above

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed

     ---> Requires are insane

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

     ---> see explanation below

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/besser82/shared/fedora/review/988105-check-mssql-health/results/check-mssql-health-1.5.19.1-1.fc20.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/besser82/shared/fedora/review/988105-check-mssql-health/results/check-mssql-health-1.5.19.1-1.fc20.x86_64.rpm', '--setopt=tsflags=nocontexts']
Error: Package: check-mssql-health-1.5.19.1-1.fc20.x86_64 (/check-mssql-health-1.5.19.1-1.fc20.x86_64)
           Requires: DBD-Sybase
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: check-mssql-health-1.5.19.1-1.fc20.x86_64.rpm
check-mssql-health.x86_64: W: summary-ended-with-dot C This is a nagios check for monitoring a MSSql database.

---> remove the . at the end of summary

check-mssql-health.x86_64: E: description-line-too-long C check-mssql-health is a plugin, which is used to monitor different parameters of a MS SQL server.

---> split lines after max. 80 chars

check-mssql-health.x86_64: W: incoherent-version-in-changelog arcus.asshauer@gmail.com ['1.5.19.1-1.fc20', '1.5.19.1-1']

---> see below

check-mssql-health.x86_64: E: no-binary
check-mssql-health.x86_64: W: only-non-binary-in-usr-lib

---> we'll ignore these for now...

check-mssql-health.x86_64: E: zero-length /usr/share/doc/check-mssql-health-1.5.19.1/NEWS

---> remove NEWS from %doc, it seems useless

1 packages and 0 specfiles checked; 3 errors, 3 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /home/besser82/shared/fedora/review/988105-check-mssql-health/srpm/check-mssql-health.spec	2013-07-24 23:47:36.007689929 +0200
+++ /home/besser82/shared/fedora/review/988105-check-mssql-health/srpm-unpacked/check-mssql-health.spec	2013-07-24 23:47:36.244692661 +0200
@@ -38,4 +38,4 @@
 
 %changelog
-* Sat Jul 20 2013 Marcus Asshauer <fedora@asshaueronline.de> 
-- Initial rpm build.
+* Sat Jul 20 2013 marcus.asshauer@gmail.com
+- Initial build.

---> rebuild srpm with up-to-date spec, add version and release after your
     email-address, please


Requires
--------
check-mssql-health (rpmlib, GLIBC filtered):
    DBD-Sybase
    freetds

---> as explained above



Provides
--------
check-mssql-health:
    check-mssql-health
    check-mssql-health(x86-64)



Source checksums
----------------
http://labs.consol.de/download/shinken-nagios-plugins/check_mssql_health-1.5.19.1.tar.gz :
  CHECKSUM(SHA256) this package     : d763f8bbad1419aebcd6d2fba2cb95b070a91d6770a9742688a031e2b501a32a
  CHECKSUM(SHA256) upstream package : d763f8bbad1419aebcd6d2fba2cb95b070a91d6770a9742688a031e2b501a32a


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 988105

#####

Please fix those issues, add el5-stuff and I'll take another spin.  There are more improvements and suggestions to come from me.  We will enhance things during further reviews step-by-step. :)
Comment 3 Björn "besser82" Esser 2013-10-19 10:36:51 EDT
Ping?

Note You need to log in before you can comment on or make changes to this bug.